GH-REPO-EDIT(1)

NAME

gh-repo-edit - Edit repository settings

SYNOPSIS

gh repo edit [<repository>] [flags]

DESCRIPTION

Edit repository settings.

To toggle a setting off, use the --<flag>=false syntax.

Note that changing repository visibility to private will cause loss of stars and watchers.

OPTIONS

--add-topic <strings>
    Add repository topic

--allow-forking
    Allow forking of an organization repository

--allow-update-branch
    Allow a pull request head branch that is behind its base branch to be updated

--default-branch <name>
    Set the default branch name for the repository

--delete-branch-on-merge
    Delete head branch when pull requests are merged

-d, --description <string>
    Description of the repository

--enable-auto-merge
    Enable auto-merge functionality

--enable-discussions
    Enable discussions in the repository

--enable-issues
    Enable issues in the repository

--enable-merge-commit
    Enable merging pull requests via merge commit

--enable-projects
    Enable projects in the repository

--enable-rebase-merge
    Enable merging pull requests via rebase

--enable-squash-merge
    Enable merging pull requests via squashed commit

--enable-wiki
    Enable wiki in the repository

-h, --homepage <URL>
    Repository home page URL

--remove-topic <strings>
    Remove repository topic

--template
    Make the repository available as a template repository

--visibility <string>
    Change the visibility of the repository to {public,private,internal}

EXAMPLE
    # enable issues and wiki
    gh repo edit --enable-issues --enable-wiki
    # disable projects
    gh repo edit --enable-projects=false

SEE ALSO

gh-repo(1)